export const sum = (arr) => {
    return arr.reduce((prev, curr) => prev + curr, 0);
};
export const median = (arr) => {
    if (arr.length === 0)
        return Number.NaN;
    if (arr.length === 1)
        return arr[0];
    arr.sort((a, b) => a - b);
    const midpoint = Math.floor(arr.length / 2);
    return arr.length % 2 ? arr[midpoint] : (arr[midpoint - 1] + arr[midpoint]) / 2;
};
export const abortableDelay = (ms, abortSignal) => {
    return new Promise((resolve) => {
        if (abortSignal.aborted) {
            return resolve();
        }
        const listener = () => {
            resolve();
            clearTimeout(timeout);
        };
        const timeout = setTimeout(() => {
            resolve();
            abortSignal.removeEventListener("abort", listener);
        }, ms);
        abortSignal.addEventListener("abort", listener, { once: true });
    });
};
export const createDebugLog = (debug) => (...data) => {
    if (debug) {
        console.log("DEBUG:", ...data);
    }
};
export const typedObjectKeys = (obj) => {
    return Object.keys(obj);
};
//# sourceMappingURL=utils.js.map